const system = require("../../../system");
const Dao = require("../../dao.base");
class ProductInterfaceDao extends Dao {
  constructor() {
    super(Dao.getModelName(ProductInterfaceDao));
  }
  async getItemByProductId(productId) {
    return this.model.findOne({
      where: {
        product_id: productId
      },
      attributes: [
        "id",
        "interface_url",
        "interface_type",
        "interface_type_name",
        "params",
        "desc"],
      raw: true
    });
  }
}
module.exports = ProductInterfaceDao;
